Bug 177730

Summary: devel/flatzebra: Update to 0.1.6
Product: Ports & Packages Reporter: ganael.laplanche
Component: Individual Port(s)Assignee: Ganael LAPLANCHE <martymac>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description ganael.laplanche 2013-04-09 07:50:00 UTC
Hi Edwin,

Here is a patch to update devel/flatzebra to 0.1.6.

Tinderbox build is OK, see :

http://tinderbox.martymac.org/tb/index.php?action=describe_port&id=233

Thanks in advance,
Best regards.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-04-09 07:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->edwin

edwin@mavetju.org => edwin@ (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-04-09 07:50:09 UTC
Maintainer of devel/flatzebra,

Please note that PR ports/177730 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/177730

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-04-09 07:50:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Ganael LAPLANCHE freebsd_committer 2013-04-17 09:27:18 UTC
Responsible Changed
From-To: edwin->martymac

I will take care of it.
Comment 5 dfilter freebsd_committer 2013-04-17 14:02:59 UTC
Author: martymac
Date: Wed Apr 17 13:02:44 2013
New Revision: 315963
URL: http://svnweb.freebsd.org/changeset/ports/315963

Log:
  Update devel/flatzebra and dependent ports :
  
  devel/flatzebra [1]:
  - Update to 0.1.6
  - Use new Makefile header format
  - Replace USE_GNOME by proper USE_PKGCONFIG
  - Switch to OptionsNG
  
  games/afternoonstalker:
  - Update to 1.1.5
  - Use new Makefile header format
  
  games/burgerspace:
  - Update to 1.9.2
  - Use new Makefile header format
  
  games/cosmosmash:
  - Update to 1.4.6
  - Use new Makefile header format
  
  PR:	ports/177730 [1]
  Approved by:	edwin (maintainer) [1]
  Feature safe:	yes

Added:
  head/games/cosmosmash/files/
  head/games/cosmosmash/files/patch-src-roundbeetle-NativeSDLSoundRenderer.cpp   (contents, props changed)
Modified:
  head/devel/flatzebra/Makefile   (contents, props changed)
  head/devel/flatzebra/distinfo   (contents, props changed)
  head/games/afternoonstalker/Makefile   (contents, props changed)
  head/games/afternoonstalker/distinfo   (contents, props changed)
  head/games/burgerspace/Makefile   (contents, props changed)
  head/games/burgerspace/distinfo   (contents, props changed)
  head/games/cosmosmash/Makefile   (contents, props changed)
  head/games/cosmosmash/distinfo   (contents, props changed)
  head/games/cosmosmash/pkg-plist   (contents, props changed)

Modified: head/devel/flatzebra/Makefile
==============================================================================
--- head/devel/flatzebra/Makefile	Wed Apr 17 12:49:24 2013	(r315962)
+++ head/devel/flatzebra/Makefile	Wed Apr 17 13:02:44 2013	(r315963)
@@ -1,13 +1,8 @@
-# New ports collection makefile for:	flatzebra
-# Date created:				2005-10-18
-# Whom:					Edwin Groothuis <edwin2mavetju.org>
-#
+# Created by: Edwin Groothuis <edwin2mavetju.org>
 # $FreeBSD$
-#
 
 PORTNAME=	flatzebra
-PORTVERSION=	0.1.5
-PORTREVISION=	2
+PORTVERSION=	0.1.6
 CATEGORIES=	devel games
 MASTER_SITES=	http://perso.b2b2c.ca/sarrazip/dev/
 
@@ -19,15 +14,17 @@ CONFIGURE_ARGS=	--includedir=${PREFIX}/i
 
 USE_AUTOTOOLS=	libtool
 USE_SDL=	sdl mixer image
-USE_GNOME=	pkgconfig
+USE_PKGCONFIG=	build
 
 USE_LDCONFIG=	yes
 
 DOCSDIR=	${PREFIX}/share/doc/${PORTNAME}-${PORTVERSION}
 PORTDOCS=	AUTHORS COPYING INSTALL NEWS README TODO THANKS
 
+.include <bsd.port.options.mk>
+
 post-patch:
-.if defined(NOPORTDOCS)
+.if empty(PORT_OPTIONS:MDOCS)
 	@${REINPLACE_CMD} 's|^install-data-am: .*|install-data-am: install-pkgconfigDATA|' ${WRKSRC}/Makefile.in
 .endif
 

Modified: head/devel/flatzebra/distinfo
==============================================================================
--- head/devel/flatzebra/distinfo	Wed Apr 17 12:49:24 2013	(r315962)
+++ head/devel/flatzebra/distinfo	Wed Apr 17 13:02:44 2013	(r315963)
@@ -1,2 +1,2 @@
-SHA256 (flatzebra-0.1.5.tar.gz) = d663aa222fb8ba3974ccbe82778ecd38e64a2d7524b12e54b3cf0dbb9f017c07
-SIZE (flatzebra-0.1.5.tar.gz) = 340636
+SHA256 (flatzebra-0.1.6.tar.gz) = 4e7bb0a77136ec3b81e0f73c1d08e828d38ef011095d5ce7068a94f3bb21d67a
+SIZE (flatzebra-0.1.6.tar.gz) = 359098

Modified: head/games/afternoonstalker/Makefile
==============================================================================
--- head/games/afternoonstalker/Makefile	Wed Apr 17 12:49:24 2013	(r315962)
+++ head/games/afternoonstalker/Makefile	Wed Apr 17 13:02:44 2013	(r315963)
@@ -1,13 +1,8 @@
-# New ports collection makefile for:	afternoonstalker
-# Date created:			Feb 15, 2003
-# Whom:				Mark Pulford <mark@kyne.com.au>
-#
+# Created by: Mark Pulford <mark@kyne.com.au>
 # $FreeBSD$
-#
 
 PORTNAME=	afternoonstalker
-PORTVERSION=	1.1.4
-PORTREVISION=	3
+PORTVERSION=	1.1.5
 CATEGORIES=	games
 MASTER_SITES=	http://perso.b2b2c.ca/sarrazip/dev/ \
 		LOCAL/martymac

Modified: head/games/afternoonstalker/distinfo
==============================================================================
--- head/games/afternoonstalker/distinfo	Wed Apr 17 12:49:24 2013	(r315962)
+++ head/games/afternoonstalker/distinfo	Wed Apr 17 13:02:44 2013	(r315963)
@@ -1,2 +1,2 @@
-SHA256 (afternoonstalker-1.1.4.tar.gz) = 8466bf02a58e9f3021203284e13db091a402be36fae873f6f1b54d6f60c4c480
-SIZE (afternoonstalker-1.1.4.tar.gz) = 201687
+SHA256 (afternoonstalker-1.1.5.tar.gz) = cb9896e00654057edc1ef8843c6c7f5bbcc0b5313e06227ae6e73d0c1d689097
+SIZE (afternoonstalker-1.1.5.tar.gz) = 202663

Modified: head/games/burgerspace/Makefile
==============================================================================
--- head/games/burgerspace/Makefile	Wed Apr 17 12:49:24 2013	(r315962)
+++ head/games/burgerspace/Makefile	Wed Apr 17 13:02:44 2013	(r315963)
@@ -1,13 +1,8 @@
-# New ports collection makefile for:	burgerspace
-# Date created:			Apr 13, 2001
-# Whom:				Mark Pulford <mark@kyne.com.au>
-#
+# Created by: Mark Pulford <mark@kyne.com.au>
 # $FreeBSD$
-#
 
 PORTNAME=	burgerspace
-PORTVERSION=	1.9.0
-PORTREVISION=	3
+PORTVERSION=	1.9.2
 CATEGORIES=	games
 MASTER_SITES=	http://perso.b2b2c.ca/sarrazip/dev/ \
 		LOCAL/martymac

Modified: head/games/burgerspace/distinfo
==============================================================================
--- head/games/burgerspace/distinfo	Wed Apr 17 12:49:24 2013	(r315962)
+++ head/games/burgerspace/distinfo	Wed Apr 17 13:02:44 2013	(r315963)
@@ -1,2 +1,2 @@
-SHA256 (burgerspace-1.9.0.tar.gz) = 22d242b3e27a4185300193205b3afb835b7c4142910a734829bf3aff3acabab4
-SIZE (burgerspace-1.9.0.tar.gz) = 475315
+SHA256 (burgerspace-1.9.2.tar.gz) = 34b0feccf543b11f9f9a182203d67cd453675255fed4b745e4e74c121b211bf2
+SIZE (burgerspace-1.9.2.tar.gz) = 505314

Modified: head/games/cosmosmash/Makefile
==============================================================================
--- head/games/cosmosmash/Makefile	Wed Apr 17 12:49:24 2013	(r315962)
+++ head/games/cosmosmash/Makefile	Wed Apr 17 13:02:44 2013	(r315963)
@@ -1,13 +1,8 @@
-# New ports collection makefile for: cosmosmash
-# Date created:                      12 Apr 2008
-# Whom:                              Ganael Laplanche <ganael.laplanche@martymac.org>
-#
+# Created by: Ganael Laplanche <ganael.laplanche@martymac.org>
 # $FreeBSD$
-#
 
 PORTNAME=	cosmosmash
-DISTVERSION=	1.4.5
-PORTREVISION=	2
+DISTVERSION=	1.4.6
 CATEGORIES=	games
 MASTER_SITES=	http://perso.b2b2c.ca/sarrazip/dev/ \
 		LOCAL/martymac

Modified: head/games/cosmosmash/distinfo
==============================================================================
--- head/games/cosmosmash/distinfo	Wed Apr 17 12:49:24 2013	(r315962)
+++ head/games/cosmosmash/distinfo	Wed Apr 17 13:02:44 2013	(r315963)
@@ -1,2 +1,2 @@
-SHA256 (cosmosmash-1.4.5.tar.gz) = 6be7206f68884bd81116aa857c62ad3d8d2a25060586f0d0394303b0ed2d292b
-SIZE (cosmosmash-1.4.5.tar.gz) = 156826
+SHA256 (cosmosmash-1.4.6.tar.gz) = 6e78b2b3dc5ead19af3e59adeea0ed8e26ebdb2b3f32efdb71b2b16154ae42dd
+SIZE (cosmosmash-1.4.6.tar.gz) = 905594

Added: head/games/cosmosmash/files/patch-src-roundbeetle-NativeSDLSoundRenderer.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/cosmosmash/files/patch-src-roundbeetle-NativeSDLSoundRenderer.cpp	Wed Apr 17 13:02:44 2013	(r315963)
@@ -0,0 +1,11 @@
+--- src/roundbeetle/NativeSDLSoundRenderer.cpp.orig	2013-04-12 09:21:38.324768572 +0200
++++ src/roundbeetle/NativeSDLSoundRenderer.cpp	2013-04-12 09:22:02.992763092 +0200
+@@ -42,7 +42,7 @@
+     desired.freq = _rendererFreqInHz;
+     desired.format = AUDIO_S16;
+     desired.channels = 2;
+-    desired.samples = _rendererFreqInHz * bufferSizeInMS / 1000 * desired.channels;
++    desired.samples = 1024;
+     desired.callback = fillerCallback;
+     desired.userdata = this;
+ }

Modified: head/games/cosmosmash/pkg-plist
==============================================================================
--- head/games/cosmosmash/pkg-plist	Wed Apr 17 12:49:24 2013	(r315962)
+++ head/games/cosmosmash/pkg-plist	Wed Apr 17 13:02:44 2013	(r315963)
@@ -7,6 +7,7 @@ share/pixmaps/cosmosmash.png
 %%DATADIR%%/sounds/pulsar-beep.wav
 %%DATADIR%%/sounds/saucer-shooting.wav
 %%DATADIR%%/sounds/hyperspace.wav
+%%DATADIR%%/sounds/level-finished.wav
 @dirrm %%DATADIR%%/sounds
 @dirrm %%DATADIR%%
 %%PORTDOCS%%%%DOCSDIR%%/AUTHORS
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Ganael LAPLANCHE freebsd_committer 2013-04-17 14:04:03 UTC
State Changed
From-To: feedback->closed

Committed, thanks!